| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bfcc.cpp File Reference

Fast cross-correlation search for the best fit of a 3D map to a template. More...

`#include "rwimg.h"`
`#include "mg_processing.h"`
`#include "mg_particle_select.h"`
`#include "rwmg.h"`
`#include "linked_list.h"`
`#include "file_util.h"`
`#include "options.h"`
`#include "utilities.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
double | img_fcc_search (Bimage *p, Bimage *ptemp, View *view, FSI_Kernel *kernel, double hires, double lores, Bimage *pmask)
| Fast cross-correlation searches a 2D/3D density map for a template. More...
double | img_fcc_for_view (Bimage *p, Bimage *ptemp, View view, FSI_Kernel *kernel, double hires, double lores, Bimage *pmask)
double | img_cc_for_view (Bimage *p, Bimage *ptemp, View view, FSI_Kernel *kernel, double hires, double lores, double searchrad, Bimage *pmask)
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Fast cross-correlation search for the best fit of a 3D map to a template.

Author
  Bernard Heymann

Date
  Created: 20130523
  Modified: 20160604

Definition in file bfcc.cpp.

## Function Documentation

## ◆ img_cc_for_view()

double img_cc_for_view | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View | view,
|  | FSI_Kernel * | kernel,
|  | double | hires,
|  | double | lores,
|  | double | searchrad,
|  | Bimage * | pmask
| ) |  |

Definition at line 736 of file bfcc.cpp.

## ◆ img_fcc_for_view()

double img_fcc_for_view | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View | view,
|  | FSI_Kernel * | kernel,
|  | double | hires,
|  | double | lores,
|  | Bimage * | pmask
| ) |  |

Definition at line 664 of file bfcc.cpp.

## ◆ img_fcc_search()

double img_fcc_search | ( | Bimage * | p,
|  | Bimage * | ptemp,
|  | View * | view,
|  | FSI_Kernel * | kernel,
|  | double | hires,
|  | double | lores,
|  | Bimage * | pmask
| ) |  |

Fast cross-correlation searches a 2D/3D density map for a template.

Parameters

  *p | the Fourier transformed image.
  *ptemp | the Fourier transformed template to be searched for.
  view | view.
  *kernel | interpolation kernel.
  hires | high resolution limit.
  lores | low resolution limit.
  *pmask | mask for cross-correlation (ignored if NULL).

Returns
  double correlation coefficient.

      The template is rotated to the view and cross-correlated to find
      a set of high-scoring fits.
      The views must be calculated externally to allow for custom sets.
      The best view is returned in the image view record.

Definition at line 594 of file bfcc.cpp.

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 100 of file bfcc.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Definition at line 33 of file bfcc.cpp.

## ◆ verbose

int verbose